/*
 * ProjektJNIPole.c
 *
 *  Created on: 25. 1. 2016
 */
#include <jni.h>
#include <stdio.h>
#include "ProjektJNIPole.h"
#define MAX 5

JNIEXPORT void JNICALL Java_ProjektJNIPole_posliPoleInt(JNIEnv *env, jobject obj, jintArray poleInt1, jintArray poleInt2){
	//	zjistime velikost poli
	jsize velikostPole1 = (*env)->GetArrayLength(env,poleInt1);
	jsize velikostPole2 = (*env)->GetArrayLength(env,poleInt2);
	// preneseme vstupni pole do poli jint
	jint *poleINT1 = (*env)->GetIntArrayElements(env,poleInt1,NULL);
	jint *poleINT2 = (*env)->GetIntArrayElements(env,poleInt2,NULL);
	int i;
	int poleInt [velikostPole1];
	if(velikostPole1 == velikostPole2){
		for(i=0;i<velikostPole1;i++){
			poleInt[i]=poleINT1[i]+poleINT2[i];
		}
	}
	else  {
		printf("Pole se nerovnaji - ukonceni nativni metody");
		return ;
	}
	printf("Provedeme vypis pole jenze je soucet vstupnich poli - metoda posliPoleInt \n");
	for(i=0;i<velikostPole1;i++){
		printf("index pole [%d] hodnota= %d\n",i,poleInt[i]);
	}
}

JNIEXPORT jintArray JNICALL Java_ProjektJNIPole_ziskejPoleInt(JNIEnv *env, jobject obj){
	// z duvodu zjednoduseni pouzijeme velikost pole definici MAX
	jint poleI [] = {56,68,-456,216,66};
	jintArray poleInt = (*env)->NewIntArray(env,MAX);
	(*env)->SetIntArrayRegion(env,poleInt,0,MAX,poleI);
	return poleInt;
}
JNIEXPORT void JNICALL Java_ProjektJNIPole_posliPoleDouble(JNIEnv *env, jobject obj, jdoubleArray poleDouble){
	//	zjistime velikost poli
	jsize velikostPole1 = (*env)->GetArrayLength(env,poleDouble);
	// preneseme vstupni pole do poli jdouble
	jdouble *poleDOUBLE1 = (*env)->GetDoubleArrayElements(env,poleDouble,NULL);
	int i;
	for(i=0;i<velikostPole1;i++){
		printf("index pole [%d] hodnota= %f\n",i,poleDOUBLE1[i]);
	}
}

JNIEXPORT jdoubleArray JNICALL Java_ProjektJNIPole_ziskejPoleDouble(JNIEnv *env, jobject obj){
	//	vytvorime double pole viz. C
	double poleD [MAX];
	poleD[0]=-34.4556;
	poleD[1]=79635.65;
	poleD[2]=123.455;
	poleD[3]=-985.456;
	poleD[4]=-22.789;
	// vytvorime jdouble pole viz. JNI
	jdouble pole [MAX];
	int i;
	for(i=0;i<MAX;i++){
		pole[i]=(jdouble)poleD[i];
	}
	//	vytvorime JNI pole
	jdoubleArray poleDouble = (*env)->NewDoubleArray(env,MAX);
	// naplnime JNI pole daty
	(*env)->SetDoubleArrayRegion(env,poleDouble,0,MAX,pole);
	return poleDouble;
}


