public class ProjektJNIPole {
	private static int [] poleI1 = {5,6,12,35};
	private static int [] poleI2 = {1,2,3,4};
	private static double [] poleD1 = {35.56,8987.554,99.785,123.567};
	native void posliPoleInt(int [] poleI1,int poleI2 []);
	native int [] ziskejPoleInt();
	native void posliPoleDouble(double [] poleD1);
	native double [] ziskejPoleDouble();
	public static void main(String[] args) {
		System.out.println("Testovaci vypis");
		System.loadLibrary("src/libProjektJNIPole");
		ProjektJNIPole program = new ProjektJNIPole();
		/** Provedem zavolani metod s datovymi typy int **/
		program.posliPoleInt(poleI1, poleI2);
		int [] poleIntNative = program.ziskejPoleInt();
		for(int c : poleIntNative) {
			System.out.println("Nativni pole (int)\t"+c);
		}
		/** Provedem zavolani metod s datovymi typy int **/
		program.posliPoleDouble(poleD1);
		double [] poleDoubleNative = program.ziskejPoleDouble();
		for(double c:poleDoubleNative) {
			System.out.println("Nativni pole (double)\t"+c);
		}
	}
}